OpenNMS API 1.2.9

## org.opennms.web.outage
Class OutageFactory.SortStyle

    java.lang.Object
      org.opennms.web.outage.OutageFactory.SortStyle

Enclosing class:
  OutageFactory

public static class OutageFactory.SortStyle
extends java.lang.Object

Convenience class to determine sort style of a query.

Field Summary
`static int` `_ID`
`static int` `_IFLOSTSERVICE`
`static int` `_IFREGAINEDSERVICE`
`static int` `_INTERFACE`
`static int` `_NODE`
`static int` `_REVERSE_ID`
`static int` `_REVERSE_IFLOSTSERVICE`
`static int` `_REVERSE_IFREGAINEDSERVICE`
`static int` `_REVERSE_INTERFACE`
`static int` `_REVERSE_NODE`
`static int` `_REVERSE_SERVICE`
`static int` `_SERVICE`
`protected int` `id`
`static OutageFactory.SortStyle` `ID`
`static OutageFactory.SortStyle` `IFLOSTSERVICE`
`static OutageFactory.SortStyle` `IFREGAINEDSERVICE`
`static OutageFactory.SortStyle` `INTERFACE`
`protected java.lang.String` `name`
`static OutageFactory.SortStyle` `NODE`
`static OutageFactory.SortStyle` `REVERSE_ID`
`static OutageFactory.SortStyle` `REVERSE_IFLOSTSERVICE`
`static OutageFactory.SortStyle` `REVERSE_IFREGAINEDSERVICE`
`static OutageFactory.SortStyle` `REVERSE_INTERFACE`
`static OutageFactory.SortStyle` `REVERSE_NODE`
`static OutageFactory.SortStyle` `REVERSE_SERVICE`
`static OutageFactory.SortStyle` `SERVICE`

Constructor Summary
`private` `OutageFactory.SortStyle(java.lang.String name, int id)`

Method Summary
`int` `getId()`
`java.lang.String` `getName()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _NODE

    public static final int _NODE

See Also:
  Constant Field Values

### _INTERFACE

    public static final int _INTERFACE

See Also:
  Constant Field Values

### _SERVICE

    public static final int _SERVICE

See Also:
  Constant Field Values

### _IFLOSTSERVICE

    public static final int _IFLOSTSERVICE

See Also:
  Constant Field Values

### _IFREGAINEDSERVICE

    public static final int _IFREGAINEDSERVICE

See Also:
  Constant Field Values

### _ID

    public static final int _ID

See Also:
  Constant Field Values

### NODE

    public static final OutageFactory.SortStyle NODE

### INTERFACE

    public static final OutageFactory.SortStyle INTERFACE

### SERVICE

    public static final OutageFactory.SortStyle SERVICE

### IFLOSTSERVICE

    public static final OutageFactory.SortStyle IFLOSTSERVICE

### IFREGAINEDSERVICE

    public static final OutageFactory.SortStyle IFREGAINEDSERVICE

### ID

    public static final OutageFactory.SortStyle ID

### _REVERSE_NODE

    public static final int _REVERSE_NODE

See Also:
  Constant Field Values

### _REVERSE_INTERFACE

    public static final int _REVERSE_INTERFACE

See Also:
  Constant Field Values

### _REVERSE_SERVICE

    public static final int _REVERSE_SERVICE

See Also:
  Constant Field Values

### _REVERSE_IFLOSTSERVICE

    public static final int _REVERSE_IFLOSTSERVICE

See Also:
  Constant Field Values

### _REVERSE_IFREGAINEDSERVICE

    public static final int _REVERSE_IFREGAINEDSERVICE

See Also:
  Constant Field Values

### _REVERSE_ID

    public static final int _REVERSE_ID

See Also:
  Constant Field Values

### REVERSE_NODE

    public static final OutageFactory.SortStyle REVERSE_NODE

### REVERSE_INTERFACE

    public static final OutageFactory.SortStyle REVERSE_INTERFACE

### REVERSE_SERVICE

    public static final OutageFactory.SortStyle REVERSE_SERVICE

### REVERSE_IFLOSTSERVICE

    public static final OutageFactory.SortStyle REVERSE_IFLOSTSERVICE

### REVERSE_IFREGAINEDSERVICE

    public static final OutageFactory.SortStyle REVERSE_IFREGAINEDSERVICE

### REVERSE_ID

    public static final OutageFactory.SortStyle REVERSE_ID

### name

    protected java.lang.String name

### id

    protected int id

Constructor Detail

### OutageFactory.SortStyle

    private OutageFactory.SortStyle(java.lang.String name,
                                    int id)

Method Detail

### toString

    public java.lang.String toString()

### getName

    public java.lang.String getName()

### getId

    public int getId()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.